package ch.zhaw.catan;

import java.util.HashMap;

/**
 * This Class represents a Road Object. It informs about the ressources needed to build a road
 */
public class Road {

    final private HashMap<Config.Resource, Integer> buildCost;

    public Road() {
        buildCost = new HashMap<>();
        buildCost.put(Config.Resource.LUMBER, 1);
        buildCost.put(Config.Resource.BRICK, 1);
    }

    public HashMap<Config.Resource, Integer> getBuildCost() {
        return buildCost;
    }

}
